Skip to content
Last updated

Update an organization member's role.

PUThttps://api.aitronos.com/v1/organizations/{organization_id}/users/{user_id}

Path Parameters

organization_id string required

Organization ID with org_ prefix.

user_id string required

User ID with usr_ prefix.

Request Body

role_id string optional

Role ID to assign to the member.

status_id string optional

Status ID to assign to the member.

Returns

Returns the updated member role information including success status, message, member ID, user ID, role ID, and role name.

Authentication

Requires authentication. User must be Admin or Owner.

curl -X PUT \
  "https://api.aitronos.com/v1/organizations/org_123/users/usr_abc123def456" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "role_id": "role_member_001"
  }'